Bug 1123306 - Rubygem-staypuft: HA: The way puppet generates the pacemaker config, it is very very hard to read for a human.
Summary: Rubygem-staypuft: HA: The way puppet generates the pacemaker config, it is v...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: Foreman (RHEL 6)
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: Installer
Assignee: Jason Guiditta
QA Contact: Leonid Natapov
URL: https://trello.com/c/mPSqLPQr/272-cle...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 09:33 UTC by Leonid Natapov
Modified: 2016-04-27 00:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-29 14:49:02 UTC


Attachments (Terms of Use)
current output of pcs (7.24 KB, text/plain)
2014-11-06 11:05 UTC, Ofer Blaut
no flags Details

Description Leonid Natapov 2014-07-25 09:33:43 UTC
Rubygem-staypuft: HA:  The way puppet generates the pacemaker config, it is very very hard to read for a human.

This is going to be an issue when we want to figure out what  goes wrong.

Example:

1)
 Resource: ip-192.168.0.99 (class=ocf provider=heartbeat type=IPaddr2)
  Attributes: ip=192.168.0.99 cidr_netmask=32 
  Operations: start interval=0s timeout=20s (ip-192.168.0.99-start-timeout-20s)
              stop interval=0s timeout=20s (ip-192.168.0.99-stop-timeout-20s)
              monitor interval=30s (ip-192.168.0.99-monitor-interval-30s)
-------------------------------------------------------------------------------
doesn't tell me to what api/service that IP is associated to. What am I looking at here?
-------------------------------------------------------------------------------
See for example the output/naming I used in the manual how-to:
 
Resource: vip-keystone (class=ocf provider=heartbeat type=IPaddr2)
  Attributes: ip=192.168.16.202 
  Operations: start interval=0s timeout=20s (vip-keystone-start-timeout-20s)
              stop interval=0s timeout=20s (vip-keystone-stop-timeout-20s)
              monitor interval=10s timeout=20s (vip-keystone-monitor-interval-10s)

A merge of the two formats could look like:
 Resource: vip-keystone-192.168.16.202 (class=ocf provider=heartbeat type=IPaddr2)
  Attributes: ip=192.168.16.202 
[snip]

and contain all the info you need at once.

Comment 1 Fabio Massimo Di Nitto 2014-07-25 14:06:40 UTC
This fix is relevant only for GSS/support. It has no operational impact for the final deployment,

Comment 3 Ofer Blaut 2014-11-06 11:05:24 UTC
Created attachment 954393 [details]
current output of pcs

Comment 4 Ofer Blaut 2014-11-06 11:07:56 UTC
Since PCS status is the only command to check the cluster (attached)- no option via staypuft GUI

user experience is vary bad here

Ofer


Note You need to log in before you can comment on or make changes to this bug.